#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

/*****
 *
 * El prefijo 't_' en los nombres es para aquellos objetos
 *   asociados a la pestaña (Tab Widget) Triangulo
 * El prefijo 'c_' en los nombres es para aquellos objetos
 *   asociados a la pestaña (Tab Widget) Cuadrado
 *
 *****/

/*
 * ui->t_calcular: widget "Push Button" para ejecutar al slot on_t_calcular_clicked()
 */
void MainWindow::on_t_calcular_clicked()
{
    /*
     * ui->t_base:    widget "Double Spin Box" para la base del triangulo
     * ui->t_altura:  widget "Double Spin Box" para la altura del triangulo
     * ui->t_area:    widget "Double Spin Box" para el área del triangulo
     */
    double area = ui->t_base->value() * ui->t_altura->value() / 2;
    ui->t_area->setValue(area);
}

/*
 * ui->c_calcular: widget "Push Button" para ejecutar al slot on_c_calcular_clicked()
 */
void MainWindow::on_c_calcular_clicked()
{
    /*
     * ui->c_lado:  widget "Double Spin Box" para el lado del cuadrado
     * ui->c_area:  widget "Double Spin Box" para el área del cuadrado
     */
    double area = ui->c_lado->value() * ui->c_lado->value();
    ui->c_area->setValue(area);
}
